#pragma once

#include <QOpenGLFunctions>
#include <QOpenGLShaderProgram>
#include <QOpenGLBuffer>
#include <QOpenGLTexture>

class GeometryEngine : protected QOpenGLFunctions
{
public:
	GeometryEngine();
	virtual ~GeometryEngine();

	void drawGeometry(QOpenGLShaderProgram *program);

private:
	void initCubeGeometry();
	void initTexture();

	QOpenGLBuffer arrayBuf;
	QOpenGLBuffer indexBuf;

	QOpenGLTexture *texture;
};

